Selectize.js
------------
Selectize is a jQuery-based custom UI control.

Installation
------------

The module requires the selectize.js library which can be installed via composer.

The latest version of selectize.js needs to be included in your project's composer.json file.

1. Check the latest version here: https://github.com/selectize/selectize.js

2. Add the package into your composer.json file under the repositories section, like:
```
  "repositories": [
    {
      "type": "package",
      "package": {
        "name": "selectize/selectize",
        "version": "0.15.2",
        "type": "drupal-library",
        "dist": {
          "url": "https://github.com/selectize/selectize.js/archive/v0.15.2.zip",
          "type": "zip"
        }
      }
    }
  ],
```

3. Install the library with composer
```
composer require selectize/selectize:^0.15
```

4. Install the drupal module as usual
```
composer require drupal/selectize:^2.0
drush pm:enable selectize
```

How to use
----------

1. The module creates a new field widget which can be used on list and entity reference fields.

2. Selectize can be also used with the form API on custom forms.

At the top of your file, include the Selectize element class:
```
use Drupal\selectize\Element\Selectize;
```

In your form where you want to Selectize an input, you can do the following:
```
$form['example'] = array(
  '#type' => 'selectize',
  '#title' => t('Selectize'),
  '#settings' => Selectize::settings(),
  '#options' => array('' => 'Pick something or enter your own', 1 => 'ABC', 2 => 'DEF', 3 => 'GHI'),
);
```
This will provide a basic Selectized element.

You can also include your own settings overrides, like so:
```
$form['example'] = array(
  '#type' => 'selectize',
  '#title' => t('Selectize'),
  '#settings' => Selectize::settings(
    array(
      'maxItems' => 5,
      'plugins' => array('remove_button', 'drag_drop'),
    )
  ),
  '#options' => array('' => 'Pick something or enter your own', 1 => 'ABC', 2 => 'DEF', 3 => 'GHI'),
);
```

To see all the plugins and options available, please check the plugin website at https://selectize.dev/docs/usage
